unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ColorBox, Spin,
  StdCtrls, TestSwitch;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    CheckBox1: TCheckBox;
    ColorBox1: TColorBox;
    ColorBox2: TColorBox;
    Label1: TLabel;
    SpinEdit1: TSpinEdit;
    SpinEdit2: TSpinEdit;
    StaticText1: TStaticText;
    StaticText2: TStaticText;
    StaticText3: TStaticText;
    StaticText4: TStaticText;
    TestSwitch1: TTestSwitch;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure CheckBox1Change(Sender: TObject);
    procedure ColorBox1Change(Sender: TObject);
    procedure ColorBox2Change(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
    procedure SpinEdit2Change(Sender: TObject);
    procedure TestSwitch1Click(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.ColorBox1Change(Sender: TObject);
begin
 TestSwitch1.InitialBgrdColor := Colorbox1.Selected;
end;

procedure TForm1.CheckBox1Change(Sender: TObject);
begin
 if TestSwitch1.Roll then TestSwitch1.Roll:=false
 else TestSwitch1.Roll:= true;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
 TestSwitch1.LoadImagesfromFile(Application.Location+'Lock.png',Application.Location+'Unlock.png');
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
 TestSwitch1.LoadImagesfromFile('','');
end;

procedure TForm1.ColorBox2Change(Sender: TObject);
begin
 TestSwitch1.FinalBgrdColor:= Colorbox2.Selected;
end;

procedure TForm1.SpinEdit1Change(Sender: TObject);
begin
 TestSwitch1.Width:= SpinEdit1.Value;
end;

procedure TForm1.SpinEdit2Change(Sender: TObject);
begin
 TestSwitch1.Speed:=SpinEdit2.Value;
end;

procedure TForm1.TestSwitch1Click(Sender: TObject);
begin
 if TestSwitch1.Direction = goRight then Label1.Caption:= 'Button is Right'
  else Label1.Caption:='Button is Left';
end;

end.

